Package be.fgov.ehealth.mycarenet.commons.core.v4

# Class SubjectType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v4.SubjectType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ActorType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:42+02:00", comments="JAXB RI v4.0.5") public class SubjectType extends Object implements Serializable

Java class for SubjectType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Identifier" maxOccurs="unbounded">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
             <element name="Attribute" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}AttributeType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="SubType" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AttributeType>`
  `getAttributes()`
  Gets the value of the attributes property.
  `List<Identifier>`
  `getIdentifiers()`
  Identifiers of the party.
  `String`
  `getSubType()`
  Sub-type of the party.
  `String`
  `getType()`
  Type of the party.
  `void`
  `setSubType(String value)`
  Sets the value of the subType property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectType

    public SubjectType()

- ## Method Details

  - ### getIdentifiers

    public List<Identifier> getIdentifiers()
    Identifiers of the party. A party may be identified by one or multiple distinct identifiers. Gets the value of the identifiers property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the identifiers property.

    For example, to add a new item, do as follows:

         getIdentifiers().add(newItem);

    Objects of the following type(s) are allowed in the list `Identifier`

    Returns:
      The value of the identifiers property.

  - ### getAttributes

    public List<AttributeType> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

         getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `AttributeType`

    Returns:
      The value of the attributes property.

  - ### getType

    public String getType()
    Type of the party. Usual values are : PhysicalPerson, Care Provider, Enterprise, InsuranceOrganization.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### getSubType

    public String getSubType()
    Sub-type of the party.
    Returns:
      possible object is `String`

  - ### setSubType

    public void setSubType(String value)
    Sets the value of the subType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSubType()`